### Function

# Gck Module initialize_async

#### Declaration [src]

    void
    gck_module_initialize_async (
      const gchar* path,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Asynchronously load and initialize a PKCS#11 module represented by a `GckModule` object.

#### Parameters

`path` | `const gchar*`
| The file system path to the PKCS#11 module to load.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`cancellable` | `GCancellable`
| Optional cancellation object.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`callback` | `GAsyncReadyCallback`
| A callback which will be called when the operation completes.
`user_data` | `gpointer`
| Data to pass to the callback.
| The argument can be `NULL`.
| The data is owned by the caller of the function.